<?php
use \common\libs\MyLib;
?>
<?php $this->beginBlock('header_css'); ?>
<link href="/assets/css/plugins/bootstrap-table/bootstrap-table.min.css" rel="stylesheet">
<?php $this->endBlock(); ?>

<div class="wrapper wrapper-content animated fadeInRight">
    <div class="ibox float-e-margins">
        <div class="ibox-title">
            <h5>权限分配</h5>
            <div class="ibox-tools">
                <a class="btn btn-primary btn-xs edit-btn" data-id="0" href="javascript:void(0);" onclick="create(0)">
                    <i class="fa fa-plus"></i> 添加
                </a>
                <a class="btn btn-primary btn-xs edit-btn" data-id="0" href="javascript:void(0);" onclick="$('#listTable').bootstrapTable('refresh');">
                    <i class="fa fa-refresh"></i> 刷新
                </a>
            </div>
        </div>
        <div class="ibox-content">
            <div class="row">
                <div class="col-sm-12">
                    <table id="listTable">
                        <thead>
                        <tr>
                            <th data-field="id">ID</th>
                            <th data-field="name">名称</th>
                            <th data-formatter="opFormatter">操作</th>
                        </tr>
                        </thead>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>


<?php $this->beginBlock('footer_js'); ?>
<script src="/assets/js/plugins/bootstrap-table/bootstrap-table.min.js"></script>
<script src="/assets/js/plugins/bootstrap-table/bootstrap-table-mobile.min.js"></script>
<script src="/assets/js/plugins/bootstrap-table/locale/bootstrap-table-zh-CN.min.js"></script>
<script>
    function opFormatter(value, row, index) {
        var opStr = [];
        opStr.push('<a href="javascript:void(0);" onclick="lock(' + row.id + ')">');
        opStr.push('<i class="fa fa-lock" title="分配权限"></i>');
        opStr.push('</a>');
        opStr.push('<a href="javascript:void(0);" onclick="edit(' + row.id + ')">');
        opStr.push('<i class="fa fa-edit" title="编辑"></i>');
        opStr.push('</a>');
        opStr.push('<a href="javascript:void(0);" onclick="del(' + row.id + ')">');
        opStr.push('<i class="fa fa-trash" title="删除"></i>');
        opStr.push('</a>');

        return opStr.join(' ');
    }
    function lock(id) {
        var title = '分配权限';
        layer_show(title, '/permissions/permission?id=' + id);
    }
    function create() {
        title = '新增菜单';
        layer_show(title, '/permissions/edit?id=0');
    }
    function edit(id) {
        var title = '编辑菜单';
        layer_show(title, '/permissions/edit?id=' + id);
    }
    function del(id) {
        parent.layer.confirm('是否确认删除？', {
            btn: ['删除','取消'], //按钮
            shade: false //不显示遮罩
        }, function(){
            $.post('/permissions/delete',{id:id},function(data) {
                parent.layer.msg(data.msg);
                refreshList();
            }, 'json');
        }, function(){
            //
        });
    }
    function refreshList() {
        $('#listTable').bootstrapTable('refresh');
    }

    function search() {
        $('#listTable').bootstrapTable('destroy');
        $('#listTable').bootstrapTable({
            url: "/permissions/index-json",
            pagination: false,
            sidePagination: 'server',
            queryParams: function(params) {
                return params;
            }
        });
    }

    $(function() {
        search();
    });
</script>
<?php $this->endBlock(); ?>
